@charset "utf-8";

#movie_modal_data video,
#movie_modal_data .video-js{
width: 100% !important;
height: auto !important;
position: relative;
}

#movie_modal_data video{
height: auto !important;
position: absolute;
top: 0;
}

#movie_modal_data .video-js {
width: 100%;
height: 0 !important;
padding-bottom: 56.25%;
}

.motor_show_list .list_inner .video-js video {
width: 100%;
height: 100%;
}

#movie_modal .m_mov{
display: none;
width: 100%;
position: absolute;
}

@media print, screen and (min-width : 769px){

#movie_modal{
display: none;
position: fixed;
top: 0;
left: 0;
z-index: 65535;
}

#movie_modal .movie_overlay{
width: 100%;
height: 100%;
background-color: #fff;
opacity: 1;
position: fixed;
top: 0;
left: 0;
z-index: 1;
}

#movie_modal .movie_btn_close{
width: 30px;
height: 30px;
margin: 0 0 0 0;
background-image:url(../img/parts_modal_close.png);
background-repeat: no-repeat;
background-size: 30px;
position: fixed;
top: 20px;
left: 20px;
z-index: 2;
cursor: pointer;
transition: opacity .1s ease;
}

#movie_modal .movie_btn_close:hover{
opacity: .7;
}

#movie_modal_inner{
margin: 0 auto;
opacity: 0;
text-align: center;
position: fixed;
top: 0;
z-index: 2;
}

#movie_modal.movie_modal_v2 {
visibility: hidden;
transition: opacity 250ms ease-out, visibility 250ms ease-out;
display: block;
opacity: 0;
}

#movie_modal.movie_modal_v2.is-view {
visibility: visible;
opacity: 1;
}

.movie_modal_v2 #movie_modal_inner {
width: 100%;
height: 100%;
display: flex;
justify-content: center;
align-items: center;
opacity: 1;
}

.movie_modal_v2 #movie_modal_data {
width: 100%;
max-width: 800px;
padding: 0 40px;
opacity: 1;
}

.movie_modal_v2 #m_mov {
width: auto;
position: relative;
display: block;
z-index: 2;
}
}

@media screen and (max-width : 768px){

#movie_modal{
width: 100%;
height: 100%;
display: none;
position: absolute;
top: 0;
left: 0;
z-index: 65535;
}

#movie_modal .movie_overlay{
width: 100%;
height: 100%;
background-color: #fff;
opacity: 1;
position: fixed;
top: 0;
left: 0;
z-index: 1;
}

#movie_modal .movie_btn_close{
width: 20px;
height: 20px;
margin: 0 0 0 0;
background-image:url(../img/parts_modal_close.png);
background-repeat: no-repeat;
background-size: 20px;
position: fixed;
top: 10px;
left: 10px;
z-index: 2;
cursor: pointer;
transition: opacity .1s ease;
}

#movie_modal .movie_btn_close:hover{
opacity: .7;
}

#movie_modal_inner{
margin: 0 auto;
opacity: 0;
text-align: center;
position: fixed;
top: 0;
z-index: 2;
}

#movie_modal_data{
width: 100%;
}

#movie_modal.movie_modal_v2 {
visibility: hidden;
transition: opacity 250ms ease-out, visibility 250ms ease-out;
display: block;
opacity: 0;
}

#movie_modal.movie_modal_v2.is-view {
visibility: visible;
opacity: 1;
}

.movie_modal_v2 #movie_modal_inner {
width: 100%;
height: 100%;
display: flex;
justify-content: center;
align-items: center;
opacity: 0;
animation: mov_modal_fadein 250ms ease-out 0s 1 normal;
animation-fill-mode: forwards;
}

#movie_modal.movie_modal_v2.is-view #movie_modal_inner{
opacity: 1;
}

.movie_modal_v2 #movie_modal_data {
width: 100%;
padding: 0 40px;
opacity: 1;
box-sizing: border-box;
}

.movie_modal_v2 #m_mov {
width: auto;
position: relative;
display: block;
z-index: 2;
}

.movie_wrap div:first-child {
margin-bottom: inherit;
}


}

/* 追加 - youtube */
.modal-video {
    width: 100%;
    height: 100%;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.5s ease-out, visibility 0.5s ease-out;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 65535;
}

.modal-video.is-view {
    opacity: 1;
    visibility: visible;
}

.modal-video__inner {
    width: 100%;
    height: 100%;
    margin: 0 auto;
    box-sizing: border-box;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    animation: modal-video-inner 0.5s cubic-bezier(0, 0.5, 0.5, 1) 0s 1 normal;
    animation-fill-mode: forwards;
}

.modal-video__overlay {
    width: 100%;
    height: 100%;
    opacity: 1;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: #fff;
}

.modal-video__data {
    width: 100%;
    max-width: 880px;
    padding: 0 40px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 2;
    box-sizing: border-box;
}

.modal-video__data .video-js {
    width: 100%;
    max-width: 880px;
    height: 0;
    position: relative;
    padding-bottom: 56.25%;
    z-index: 1;
}

.modal-video__close-btn {
    width: 30px;
    height: 30px;
    margin: 0 0 0 0;
    background-image:url(../img/parts_modal_close.png);
    background-repeat: no-repeat;
    background-size: 30px;
    position: fixed;
    top: 20px;
    left: 20px;
    z-index: 2;
    cursor: pointer;
    transition: opacity .1s ease;
}

.modal-video iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

@media screen and (man-width: 768px) {
    .modal-video__close-btn {
        width: 20px;
        height: 20px;
        background-size: 20px;
        top: 10px;
        left: 10px;
    }
}

@-webkit-keyframes modal-video-inner {
    from {
      opacity: 0;
      -webkit-transform: scale(0.95);
              transform: scale(0.95);
    }
    to {
      opacity: 1;
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }
  
  @keyframes modal-video-inner {
    from {
      opacity: 0;
      -webkit-transform: scale(0.95);
              transform: scale(0.95);
    }
    to {
      opacity: 1;
      -webkit-transform: scale(1);
              transform: scale(1);
    }
  }